Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 13 Mar 2021 06:15:13 +0000

Hi Ezzaldeen Mahyoub,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I bought a wardrobe which was out of stock on February 2nd. The employee in Avenues branch told me that the next shipment which will have my order will reach at the end of February and I will receive my order maximum by February 28th. We went to al Rai Branch few days later and the employee there told us that our wardrobe will be delivered on March 4th. Until now we haven’t received it and it is still  out of stock on your application!! I have tried several times to reach the store but no one from the customer service team answers!! I bought 3 other items the same day and all 3 were delivered at the end of February knowing that the other items were in stock and I was promised to have everything delivered at the same time. I hope this issue will be solved ASAP otherwise I will have to cancel my order. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2193443